## LassoIdWsf2Sb2UserInteractionHeader LassoIdWsf2Sb2UserInteractionHeader — <sb2:UserInteractionHeader> |

## Functions

LassoIdWsf2Sb2UserInteractionHeader * | lasso_idwsf2_sb2_user_interaction_header_new ()

## Types and Values

struct | LassoIdWsf2Sb2UserInteractionHeader

## Description

Figure 240. Schema fragment for sb2:UserInteractionHeader

    <xs:complexType name="UserInteractionHeaderType">
      <xs:sequence>
        <xs:element name="InteractionService" type="wsa:EndpointReferenceType"
                minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="interact" type="xs:string" use="optional"
              default="interactIfNeeded"/>
      <xs:attribute name="language" type="xs:NMTOKENS" use="optional"/>
      <xs:attribute name="redirect" type="xs:boolean" use="optional" default="0"/>
      <xs:attribute name="maxInteractTime" type="xs:integer" use="optional"/>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_sb2_user_interaction_header_new ()

    LassoIdWsf2Sb2UserInteractionHeader *
    lasso_idwsf2_sb2_user_interaction_header_new
                                   (void);

Creates a new LassoIdWsf2Sb2UserInteractionHeader object.

#### Returns

a newly created LassoIdWsf2Sb2UserInteractionHeader object

## Types and Values

### struct LassoIdWsf2Sb2UserInteractionHeader

    struct LassoIdWsf2Sb2UserInteractionHeader {
    	LassoNode parent;

    	/* elements */
    	GList *InteractionService; /* of LassoNode */
    	/* attributes */
    	char *interact;
    	char *language;
    	gboolean redirect;
    	int maxInteractTime;
    	GHashTable *attributes;
    };